"use strict";
var common_vendor = require("../common/vendor.js");
var mp_ecard_sdk_utils_validate = require("./utils/validate.js");
var mp_ecard_sdk_constants_log = require("./constants/log.js");
var mp_ecard_sdk_globalConfig = require("./globalConfig.js");
function initEid(e = "https://eid.faceid.qq.com", o = "release", n = "https://eid-enhance.faceid.qq.com") {
  common_vendor.index.eidBaseUrl = e, common_vendor.index.eidEnvVersion = o, common_vendor.index.eidBackUpUrl = n, common_vendor.index.onAppShow((e2) => {
    console.log("!!!!!!\u76D1\u542Conshow\u4E8B\u4EF6", e2);
    const { scene: o2 } = e2;
    if (o2 !== 1038)
      return;
    const { referrerInfo: n2 } = e2, { appId: i2, extraData: t2 } = n2;
    if (i2 !== "wx0e2cb0b052a91c92" || !t2)
      return;
    const { verifyDone: r, token: a } = t2;
    r && common_vendor.index.handleEidVerifyDone ? common_vendor.index.eidTokenToCallback && common_vendor.index.eidTokenToCallback === a && (common_vendor.index.eidTokenToCallback = "", common_vendor.index.reportLogToEid({ token: a, event: mp_ecard_sdk_constants_log.Log.navigateBackFromEid, errMsg: `\u4ECEEID\u6838\u8EAB\u5B8C\u6210\u8FD4\u56DE\uFF0Ctoken:${a},verifyDone:${r}` }), common_vendor.index.handleEidVerifyDone(t2)) : common_vendor.index.reportLogToEid({ token: a, event: mp_ecard_sdk_constants_log.Log.navigateBackFromEidFail, errMsg: `\u6838\u9A8C\u672A\u5B8C\u6210\u6216\u8005\u6CA1\u6709\u5904\u7406\u6838\u9A8C\u5B8C\u6210\u7684\u51FD\u6570\uFF0Ctoken:${a},verifyDone:${r}` });
  });
  const i = common_vendor.index.getSystemInfoSync(), { version: t } = i;
  common_vendor.index.reportLogToEid = function(e2) {
    const { token: o2 = "", event: n2 = "", errCode: i2 = "", errMsg: r = "", data: a = {} } = e2, s = new Date(), d = { Token: o2, SourceType: mp_ecard_sdk_constants_log.Log.SourceType, SourceVersion: mp_ecard_sdk_constants_log.Log.version, EnvVersion: t, Timestamp: s.getTime(), Event: n2, ErrorCode: typeof i2 == "number" ? i2.toString() : i2, ErrorMsg: r, Data: JSON.stringify(a) };
    console.log("\u5F00\u59CB\u4E0A\u62A5\u65E5\u5FD7\uFF1A", d), common_vendor.index.request({ url: `${common_vendor.index.eidBaseUrl}/api/common/ReportEvent`, method: "POST", data: d, success(e3) {
      console.log("\u4E0A\u62A5\u65E5\u5FD7\u5B8C\u6210\uFF1A", "payload:", d, "res:", e3);
    } });
  };
}
function startEid(e) {
  const { data: o, verifyDoneCallback: n } = e;
  if (!o || !n)
    return common_vendor.index.reportLogToEid({ token: i, event: mp_ecard_sdk_constants_log.Log.startEidFail, errMsg: "\u4F20\u5165\u7684\u53C2\u6570\u6709\u8BEF" }), void common_vendor.index.showModal({ title: "\u63D0\u793A", content: "\u4F20\u5165\u7684\u53C2\u6570\u6709\u8BEF", showCancel: false });
  const { token: i } = o;
  if (!mp_ecard_sdk_utils_validate.validate.isValidateToken(i))
    return common_vendor.index.reportLogToEid({ token: i, event: mp_ecard_sdk_constants_log.Log.startEidFail, errMsg: `\u4F20\u5165\u7684token\u6709\u8BEF\uFF0Ctoken:${i}` }), void common_vendor.index.showModal({ title: "\u63D0\u793A", content: "\u4F20\u5165\u7684token\u6709\u8BEF", showCancel: false });
  common_vendor.index.handleEidVerifyDone = (e2) => {
    const { token: o2 } = e2;
    common_vendor.index.navigateBack({ success() {
      common_vendor.index.reportLogToEid({ token: o2, event: mp_ecard_sdk_constants_log.Log.EidVerifyDone, errMsg: `\u9A8C\u8BC1\u5B8C\u6210\uFF0Ctoken\uFF1A${o2}` }), n({ token: o2, verifyDone: true });
    } });
  }, common_vendor.index.navigateTo({ url: `${mp_ecard_sdk_globalConfig.globalConfig.normalPath}/mp_ecard_sdk/index/index?token=${i}` });
}
exports.initEid = initEid;
exports.startEid = startEid;
