"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports[Symbol.toStringTag] = "Module";
var common_vendor = require("./common/vendor.js");
var mp_ecard_sdk_main = require("./mp_ecard_sdk/main.js");
require("./mp_ecard_sdk/utils/validate.js");
require("./mp_ecard_sdk/constants/log.js");
require("./mp_ecard_sdk/globalConfig.js");
if (!Math) {
  "./pages/index/index.js";
  "./mp_ecard_sdk/index/index.js";
  "./mp_ecard_sdk/protocol/eid/eid.js";
  "./mp_ecard_sdk/protocol/privacy/privacy.js";
  "./mp_ecard_sdk/protocol/service/service.js";
  "./mp_ecard_sdk/protocol/userAccredit/userAccredit.js";
}
const _sfc_main = {
  onLaunch: function() {
    mp_ecard_sdk_main.initEid();
    console.log("App Launch");
  },
  onShow: function() {
    console.log("App Show");
  },
  onHide: function() {
    console.log("App Hide");
  }
};
var App = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__file", "/Users/calamus/Documents/calamus/tencent/\u6167\u773C/e\u8BC1\u901A/ecard-sdk-uniapp/demo/vue3/src/App.vue"]]);
function createApp() {
  const app = common_vendor.createSSRApp(App);
  return {
    app
  };
}
createApp().app.mount("#app");
exports.createApp = createApp;
