"use strict";
var common_vendor = require("../../common/vendor.js");
var mp_ecard_sdk_constants_log = require("../constants/log.js");
let request = function(r, e) {
  let { token: t = "", url: o, method: a = "POST", data: s, reTry: d, header: u = { "Content-Type": "application/json" } } = r;
  try {
    common_vendor.index.request({ url: common_vendor.index.eidBaseUrl + o, method: a, data: s, header: u, success(r2) {
      console.log("request success:", r2), r2.statusCode === 200 && r2.data ? r2.data.ErrorCode == 0 || r2.data.code == 0 ? e({ ErrorCode: 0, ErrorMsg: r2.data.ErrorMsg, Data: r2.data.Data || r2.data.data, reTry: d }) : e({ ErrorCode: r2.data.ErrorCode, ErrorMsg: r2.data.ErrorMsg, Data: r2.data.Data || r2.data.data }) : e({ ErrorCode: -101, ErrorMsg: "\u8BF7\u6C42\u9519\u8BEF\uFF0C\u8BF7\u7A0D\u540E\u91CD\u8BD5" });
    }, fail(a2) {
      console.log("request error:", a2), d && d.tryCount && d.tryCount > 0 ? (d.tryCount--, common_vendor.index.eidBaseUrl = common_vendor.index.eidBackUpUrl, setTimeout(() => {
        request(r, e);
      }, d.retryDelay || 0)) : e({ ErrorCode: -107, ErrorMsg: "request\u8BF7\u6C42\u5F02\u5E38\uFF0C\u8BF7\u7A0D\u540E\u91CD\u8BD5" }), common_vendor.index.reportLogToEid({ token: t, event: mp_ecard_sdk_constants_log.Log.requestFail, errCode: "-1", errMsg: "requestFail \u8C03\u7528\u5931\u8D25", data: { url: `${common_vendor.index.eidBaseUrl}` + o, err: a2 } });
    } });
  } catch (r2) {
    console.log("request error:", r2), e({ ErrorCode: -109, ErrorMsg: "request\u65B9\u6CD5\u5F02\u5E38\uFF0C\u8BF7\u7A0D\u540E\u91CD\u8BD5" }), common_vendor.index.reportLogToEid({ token: t, event: mp_ecard_sdk_constants_log.Log.requestCatch, errCode: "-1", errMsg: "requestFail \u8C03\u7528\u5931\u8D25", data: { url: `${common_vendor.index.eidBaseUrl}` + o, err: r2 } });
  }
};
const $http = request;
exports.$http = $http;
